Index: addons/chan_mobile.c
===================================================================
--- addons/chan_mobile.c	(revision 223910)
+++ addons/chan_mobile.c	(working copy)
@@ -1885,6 +1885,8 @@
 		return AT_VGS;
 	} else if (at_match_prefix(buf, "+CUSD:")) {
 		return AT_CUSD;
+	} else if (at_match_prefix(buf, "+BSIR:")) {
+		return AT_BSIR;
 	} else {
 		return AT_UNKNOWN;
 	}
@@ -1956,6 +1958,8 @@
 		return "AT+CIND=?";
 	case AT_CUSD:
 		return "AT+CUSD";
+	case AT_BSIR:
+		return "AT+BSIR";
 	}
 }
 
@@ -3677,6 +3681,9 @@
 			}
 			ast_mutex_unlock(&pvt->lock);
 			break;
+		case AT_BSIR:
+			ast_debug(1, "[%s] ignoring +BSIR message: %s\n", pvt->id, buf);
+			break;
 		case AT_UNKNOWN:
 			ast_debug(1, "[%s] ignoring unknown message: %s\n", pvt->id, buf);
 			break;
